ISDIGIT(3)

NAME
isdigit - decimal-digit character test

SYNOPSIS
#include <ctype.h>
int
isdigit(int c);

DESCRIPTION
The isdigit() function tests for any decimal-digit character. In the ASCII character set, this includes the following characters:

060 ``0'' | 061 ``1'' | 062 ``2'' | 063 ``3'' | 064 ``4''
065 ``5'' | 066 ``6'' | 067 ``7'' | 070 ``8'' | 071 ``9''

RETURN VALUES
The isdigit() function returns zero if the character tests false and returns non-zero if the character tests true.

SEE ALSO
ctype(3), ascii(7)

STANDARDS
The isdigit() function conforms to ansiC.